
Redmine - Defect #34032

Project settings tab contains two items with the same id

2020-09-24 16:08 - Ali Hamdan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

In the project setting tabs the [DOM] have 2 elements with non-unique id #edit_project_1 which are in the _edit.html.erb and

_issues.html.erb tab which both of them contains labelled_form_for Herve Harster.

In order to fix it i added

labelled_form_for @project ,:as => "project_issues_tracker" 

in the _issues tab.

Related issues:

Related to Redmine - Defect #34982: Cannot change the default version and def... Closed

Associated revisions

Revision 20766 - 2021-03-08 10:25 - Go MAEDA

Project settings tab contains two items with the same id (#34032).

Patch by Ali Hamdan and Marius BALTEANU.

History

#1 - 2020-09-25 02:31 - Go MAEDA

- File project-tab-id.png added

- File issue-tracking-tab-id.png added

Confirmed the issue.
https://www.redmine.org/users/11497


#2 - 2021-02-28 04:23 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

#3 - 2021-02-28 04:23 - Go MAEDA

- Category changed from Projects to Project settings

#4 - 2021-02-28 18:19 - Marius BĂLTEANU

- File 35029fd5ea9ad41ab80f0d9987791c64d4f082fb.patch added

- Target version set to Candidate for next minor release

The change looks good, but I propose to use project_issue_tracking because the form handles settings related to Issue tracking module (attached a

patch).

The tests pass: https://gitlab.com/redmine-org/redmine/-/pipelines/263093258

#5 - 2021-03-06 07:53 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.2

Setting the target version to 4.1.2.

#6 - 2021-03-08 10:25 - Go MAEDA

- Subject changed from Project Settings Tabs contains 2 element same id to Project settings tab contains two items with the same id

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#7 - 2021-03-08 15:34 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.1.2 to 4.2.0

#8 - 2021-03-30 17:43 - Marius BĂLTEANU

- Related to Defect #34982: Cannot change the default version and default assignee under settings added

Files

project-tab-id.png 60.6 KB 2020-09-25 Go MAEDA

issue-tracking-tab-id.png 55 KB 2020-09-25 Go MAEDA

35029fd5ea9ad41ab80f0d9987791c64d4f082fb.patch 793 Bytes 2021-02-28 Marius BĂLTEANU
